import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a storage virtual machine (SVM) for an Amazon FSx for ONTAP file system.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-fsx-storagevirtualmachine.html">the AWS Docs</a>
*/
export function storageVirtualMachine(storageVirtualMachineProps) {
    return new AwsResource('AWS::FSx::StorageVirtualMachine', storageVirtualMachineProps, { ResourceARN: 'ResourceARN', StorageVirtualMachineId: 'StorageVirtualMachineId', UUID: 'UUID' });
}
